"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const listProperties = async (pool, readModelName) => {
  const {
    schemaName,
    escapeId,
    escape,
    inlineLedgerExecuteStatement
  } = pool;
  const databaseNameAsId = escapeId(schemaName);
  const ledgerTableNameAsId = escapeId(`__${schemaName}__LEDGER__`);
  const rows = await inlineLedgerExecuteStatement(pool, `SELECT "Properties"
     FROM  ${databaseNameAsId}.${ledgerTableNameAsId}
     WHERE "EventSubscriber" = ${escape(readModelName)}
    `);

  if (rows.length === 1) {
    return rows[0].Properties;
  } else {
    return null;
  }
};

var _default = listProperties;
exports.default = _default;
//# sourceMappingURL=list-properties.js.map